!c Description: 
!c   設定値を読み込む
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2004, All rights reserved

module arareprm
  !--- 暗黙の型宣言禁止
  implicit none

  !--- save 属性
  save

  !--- 変数定義
  real(8)       :: Grav
  real(8)       :: alpha
  real(8)       :: beta
  
contains

  subroutine arareprm_init
    !--- モジュール読み込み
    use fileset, only: cfgfile
    
    !--- NAMELIST の定義
    NAMELIST /arareprm/ Grav, alpha, beta

    !--- 変数の取り出し
    open (10, FILE=cfgfile)
    read(10, NML=arareprm)
    close(10)
    
  end subroutine arareprm_init
  
end module arareprm
